Bug 73515 - Up2date complains of missing GPG signatures from Red Hat supplied packages
Up2date complains of missing GPG signatures from Red Hat supplied packages
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
null
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-05 12:31 EDT by Michael Lee Yohe
Modified: 2015-01-07 19:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-11 09:49:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Lee Yohe 2002-09-05 12:31:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.0) Gecko/20020530

Description of problem:
When running up2date, it will retrieve the headers for the packages I want - I
select them.  Once they are downloaded, up2date attempts to verify the packages
for an authenticate GPG signature and fails. 

The reason?

Failed: There was a package gpg verification error. The error was: The package
kernel-2.4.18-14 does not have a GPG signature.

It is not just on the kernel-2.4.18-14 package - it's virtually all packages I
attempt to retrieve via up2date.  Unsigned packages could mean trouble.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to be up2date
2. Select a package

	

Actual Results:  Failed: There was a package gpg verification error. The error
was: The package kernel-2.4.18-14 does not have a GPG signature.

Expected Results:  up2date should find a signature and install the package

Additional info:

I can override this with up2date --nosig, but it would be nice to isolate the
problem to a local configuration problem or to see if the up2date packages are
indeed not being signed.
Comment 1 Michael Lee Yohe 2002-09-05 12:35:49 EDT
The following packages were successfully downloaded:

XFree86-4.2.0-71.i386.rpm:  ########################## Done.
XFree86-100dpi-fonts-4.2.0- ########################## Done.
XFree86-75dpi-fonts-4.2.0-7 ########################## Done.
XFree86-Mesa-libGL-4.2.0-71 ########################## Done.
XFree86-Mesa-libGLU-4.2.0-7 ########################## Done.
XFree86-Xvfb-4.2.0-71.i386. ########################## Done.
XFree86-base-fonts-4.2.0-71 ########################## Done.
XFree86-devel-4.2.0-71.i386 ########################## Done.
XFree86-font-utils-4.2.0-71 ########################## Done.
XFree86-libs-4.2.0-71.i386. ########################## Done.
XFree86-tools-4.2.0-71.i386 ########################## Done.
XFree86-truetype-fonts-4.2. ########################## Done.
XFree86-twm-4.2.0-71.i386.r ########################## Done.
XFree86-xauth-4.2.0-71.i386 ########################## Done.
XFree86-xdm-4.2.0-71.i386.r ########################## Done.
XFree86-xfs-4.2.0-71.i386.r ########################## Done.
glibc-2.2.93-2.i686.rpm:    ########################## Done.
glibc-common-2.2.93-2.i386. ########################## Done.
glibc-devel-2.2.93-2.i386.r ########################## Done.

The kernel-2.4.18-14 and kernel-2.4.18-14smp packages were unsigned as far as
up2date was concerned.
Comment 2 Ivo Sarak 2002-09-11 09:49:52 EDT
Same problem with .athlon package:

kernel-2.4.18-14.athlon.rpm ########################## Done.
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 897da07a
The package kernel-2.4.18-14 is not signed with a GPG signature.  Aborting...
The package kernel-2.4.18-14 does not have a GPG signature.
 Aborting...
Comment 3 Adrian Likins 2002-09-12 17:44:45 EDT
The late versions in the beta didnt include the beta gpg key
so you need to add the beta key manually.

rpm --import /usr/share/rhn/BETA-GPG-KEY 

should do it
Comment 4 Michael Lee Yohe 2002-09-12 17:47:54 EDT
# rpm --import /usr/share/rhn/BETA-GPG-KEY
error: /usr/share/rhn/BETA-GPG-KEY: import read failed.

Where does one obtain this BETA-GPG-KEY?
Comment 5 Michael Young 2002-09-12 18:52:03 EDT
The filename given above is wrong. Try
rpm --import /usr/share/rhn/BETA-RPM-GPG-KEY

Note You need to log in before you can comment on or make changes to this bug.